<?php
class MahnRot_Email_Helper {

public static function generate_order_eml($order_id) {
    $order = wc_get_order($order_id);
    if (!$order) {
        return false;
    }

    // Load WooCommerce email classes
    $mailer = WC()->mailer();
    $email  = $mailer->emails['WC_Email_Customer_Invoice'];

    // Explicitly set the order object for the email
    $email->object = $order;

    // Generate email content
    $subject = $email->get_subject();
    $headers = $email->get_headers();
    $content = $email->get_content();

    // Properly format as .eml
    $eml_content  = "Subject: {$subject}\r\n";
    $eml_content .= "{$headers}\r\n";
    $eml_content .= "\r\n{$content}";
    
    
    
    error_log("[MAHN ROT] Generating EML for order #{$order_id}.");
    error_log("[MAHN ROT] EML subject: " . $subject);
    if (empty($eml_content)) {
        error_log("[MAHN ROT] EML content is EMPTY for order #{$order_id}!");
    } else {
        error_log("[MAHN ROT] EML content length for order #{$order_id}: " . strlen($eml_content));
    }

    return $eml_content;
}
}
